Bug 146190 - usb serial not accessible after suspend and resume
usb serial not accessible after suspend and resume
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-25 16:06 EST by G. Vincent Castellano
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of /sbin/lspci -vv (7.84 KB, text/plain)
2005-01-25 16:07 EST, G. Vincent Castellano
no flags Details

  None (edit)
Description G. Vincent Castellano 2005-01-25 16:06:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
On an IBM T23 laptop, using pilot-xfer version 0.12.0-pre1 to sync
with a Zire 72 over usb serial port /dev/ttyUSB1, a connection cannot
be established if the laptop has been suspended (cover closed) and then
resumed.  Once the laptop is rebooted, pilot-xfer has no problem
connecting to the Palm.

Note the version of pilot-xfer is later than included in FC3.  This
upgrade was needed to support the Zire 72.  As long as the laptop is
'freshly' booted, it works fine.

Version-Release number of selected component (if applicable):
2.6.10-1.741_FC3

How reproducible:
Always

Steps to Reproduce:
1. Boot laptop
2. Close cover to suspend laptop
3. Open cover to resume laptop
4. "pilot-xfer -p /dev/ttyUSB1 -l"
    

Actual Results:  pilot-xfer reports:
   Unable to bind to port: /dev/ttyUSB1


Expected Results:  pilot-xfer should list files on the Palm.

Additional info:

The same problem may exist with legacy serial ports based on my past
experience, but I haven't conclusively tested for this case.
Comment 1 G. Vincent Castellano 2005-01-25 16:07:46 EST
Created attachment 110217 [details]
Output of /sbin/lspci -vv
Comment 2 Rutger Noot 2005-04-07 17:30:47 EDT
I have a Toshiba Satellite 4090 and the usb mouse stops working after suspend -
 resume. It is an optical mouse and the led doesn't even light up any more.
Unplugging and plugging it back in does not help either. The following message
is repeated over and over in /var/log/messages

Apr  7 22:55:40 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-84 received
Comment 3 Dave Jones 2005-07-15 16:35:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Rutger Noot 2005-07-17 12:15:06 EDT
I tried the new kernel. The problem with the usb mouse persists (I'm still under
FC3). 
Comment 5 G. Vincent Castellano 2005-07-19 08:31:48 EDT
Upgraded to 2.6.12-1.1372_FC3.  The problem persists.
Comment 6 Rutger Noot 2005-08-08 16:06:14 EDT
By the way, there is a workaround for this bug: unloading and reloading the usb
drivers, like this (as root)
/sbin/modprobe -r uhci_hcd
/sbin/modprobe uhci_hcd
Comment 7 Dave Jones 2006-01-16 17:26:48 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 8 Dave Jones 2006-02-03 02:22:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 John Thacker 2006-05-04 09:15:53 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.